Skip to main content
POST
/
api
/
v1
/
account
/
search-lookalikes-bulk
Submit a bulk job
curl -sS -X POST "https://api.openfunnel.dev/api/v1/account/search-lookalikes-bulk" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "Healthcare companies building with voice AI", "limit": 2000, "min_employees": 50, "max_employees": 500, "funding_stages": ["Series A", "Series B"], "locations": ["USA"]}'
import requests

url = "https://api.openfunnel.dev/api/v1/account/search-lookalikes-bulk"

payload = {
"query": "<string>",
"seed_domains": ["<string>"],
"limit": 100,
"min_employees": 1,
"max_employees": 1,
"funding_stages": [],
"locations": ["<string>"]
}
headers = {
"X-API-Key": "<x-api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
seed_domains: ['<string>'],
limit: 100,
min_employees: 1,
max_employees: 1,
funding_stages: [],
locations: ['<string>']
})
};

fetch('https://api.openfunnel.dev/api/v1/account/search-lookalikes-bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "<string>",
  "message": "<string>",
  "requested_top_k": 123,
  "status": "pending"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"detail": "<string>"
}

Headers

X-API-Key
string
required

Body

application/json

Request body for the async bulk lookalike search. Same fields as Search Lookalikes, but limit accepts up to 10000. At least one of query or seed_domains is required.

query
string | null

Describe the kinds of companies you want to find. Required unless seed_domains is provided. When both are supplied, used as a must-have angle on top of the seeds.

Required string length: 1 - 200
seed_domains
string[] | null

Up to 10 seed company websites/domains. When provided, OpenFunnel synthesizes the lookalike query for you.

Maximum array length: 10
limit
integer
default:100

Maximum number of companies to return. Default 100, max 10000. Large input set can take a few minutes to process.

Required range: 1 <= x <= 10000
min_employees
integer | null

Minimum employee count, inclusive.

Required range: x >= 0
max_employees
integer | null

Maximum employee count, inclusive.

Required range: x >= 0
funding_stages
enum<string>[] | null

Funding stages to include.

Available options:
Pre-Seed,
Seed,
Series A,
Series B,
Series C,
Series D,
Series E,
Series F,
Series G,
Series H,
Acquired,
Private,
Public
locations
string[] | null

Headquarters country filter using ISO 3166-1 alpha-3 codes (e.g. USA, GBR, IND, DEU). Pass EU to expand to all 27 EU member states.

Response

Job accepted. Returns a job_id to poll for status and results.

Returned immediately when a bulk lookalike job is submitted.

job_id
string
required

Async job id. Poll GET /api/v1/account/search-lookalikes-bulk/{job_id} for status and results.

message
string
required

Human-readable next-step hint.

requested_top_k
integer
required

The requested result limit.

status
string
default:pending

Job status at submit time (always pending).